{% extends "elections2021/base.html" %}
{% load wagtailcore_tags %}


{% block content_header %}
{% include "elections2021/_page_header.html" with title=page.title photo=page.photo %}
{% endblock %}

{% block content %}

<div class="container container--default lg:pb-24">
  <section class="py-16">
    <div class="para">{{ page.intro|richtext }}</div>

    {% if page.myths and page.elections %}
      <div class="text-center py-16">
        <div id="progamswitch" class="switch mb-4">
          <a id="switch_myths" class="switch__item switch__item--active">mýty o koalici</a>
          <a id="switch_elections" class="switch__item">otázky k volbám</a>
        </div>
      </div>
    {% else %}
      <div class="text-center py-8"></div>
    {% endif %}

    {% if page.myths %}
      <div id="faq_myths" class="space-y-1 faq-accordeon">
        {% for block in page.myths %}
          {% include_block block %}
        {% endfor %}
      </div>
    {% endif %}

    {% if page.elections %}
      <div id="faq_elections" class="space-y-1 faq-accordeon {% if page.myths %}hidden{% endif %}">
        {% for block in page.elections %}
          {% include_block block %}
        {% endfor %}
      </div>
    {% endif %}

  </section>
</div>

<script>
  document.addEventListener("DOMContentLoaded", setMaxHeights);
  window.addEventListener('resize', setMaxHeights);

  function setMaxHeights() {
    // set height for css transition
    var accordeonRowBodies = document.getElementsByClassName('accordeon-row-body');

    if (accordeonRowBodies !== null) {
      for (var i = 0; i < accordeonRowBodies.length; i++) {
        accordeonRowBodies[i].style.maxHeight = accordeonRowBodies[i].scrollHeight + "px";
      };
    }
  }

  function cleanOpenQuestions() {
    var accordeonRows = document.getElementsByClassName('accordeon-row');

    if (accordeonRows !== null) {
      for (var i = 0; i < accordeonRows.length; i++) {
        accordeonRows[i].classList.remove("accordeon-row--open");
      };
    }
  }

  var mythsSwitch = document.getElementById("switch_myths");
  var electionsSwitch = document.getElementById("switch_elections");
  var mythsFAQ = document.getElementById("faq_myths");
  var electionsFAQ = document.getElementById("faq_elections");
  var activeClass = "switch__item--active";

  mythsSwitch.addEventListener('click', function(e) {
    cleanOpenQuestions();
    electionsSwitch.classList.remove(activeClass);
    mythsSwitch.classList.add(activeClass);
    mythsFAQ.classList.remove("hidden");
    electionsFAQ.classList.add("hidden");
  });

  electionsSwitch.addEventListener('click', function(e) {
    cleanOpenQuestions();
    mythsSwitch.classList.remove(activeClass);
    electionsSwitch.classList.add(activeClass);
    electionsFAQ.classList.remove("hidden");
    mythsFAQ.classList.add("hidden");
  });

  function switchQuestions() {
  }
</script>

{% endblock %}
